Summary: A kernel-based automounter for Linux.
Name: autofs
Version: 4.1.3
Release: 3.0.3.0600829.%{_hhl_build_id}.2
Source: autofs-%{version}.tar.gz
Patch: autofs_%{version}-d.diff
Patch20: autofs-aclocal.diff
Patch21: autofs-%{version}-initd.patch
Patch22: autofs-%{version}-cross.patch
Patch23: autofs-init.patch
Patch24: autofs-4.1.4-uclibc.diff
Patch25: autofs-init2.patch
Patch26: fix-autofs-stop-error.patch
Patch100: autofs-ngs.patch
License: GPL
Group: utils
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-autofs
Obsoletes : hhl-%{_hhl_target_arch}-autofs

%description
The kernel automounter implements an almost complete SunOS style
automounter under Linux. Automounter support must be activated while 
compiling the kernel.

# binary package

%prep
%target_check
%setup -q -n autofs-%{version}
%patch0 -p1

#apply only still relevent debian patch
patch -p1 < debian/patches/005_document_+map_in_auto_master

%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch25 -p1
%patch26 -p1

%if "%{_mvl_uclibc}" == "yes"
%patch24 -p1
%endif

%patch100 -p1

%build
%target_setup
# Stupid crack monkey can't figure out how to write a correct configure 
# script to save his life so I have to hack it...
ac_cv_path_MOUNT=/bin/mount
export ac_cv_path_MOUNT
ac_cv_path_UMOUNT=/bin/umount
export ac_cv_path_UMOUNT
ac_cv_path_E2FSCK=/sbin/fsck.ext2
export ac_cv_path_E2FSCK
./configure --host=%{_hhl_target_arch} --prefix=%{_hhl_target_prefix}\
	--mandir=%{_hhl_target_man_dir} --libdir=%{_hhl_target_lib_dir}\
        --bindir=%{_hhl_cross_target_dir}/usr/bin 

%make LDFLAGS="-rdynamic" CC="$CC" CXX="$CXX" LD=$LD STRIP=true RANLIB=$RANLIB
%make -C samples rc.autofs


%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc1.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc2.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc3.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc4.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc5.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d

install -m 644 samples/auto.master %{buildroot}%{_hhl_cross_target_dir}/etc/auto.master
install -m 644 samples/auto.misc %{buildroot}%{_hhl_cross_target_dir}/etc/auto.misc
install -m 755 samples/rc.autofs %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/autofs
%make install INSTALLROOT=%{buildroot}%{_hhl_cross_target_dir}

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*

cp COPYING LICENSE

ln -s ../init.d/autofs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/K22autofs
ln -s ../init.d/autofs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc1.d/K22autofs
ln -s ../init.d/autofs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc2.d/S22autofs
ln -s ../init.d/autofs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc3.d/S22autofs
ln -s ../init.d/autofs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc4.d/S22autofs
ln -s ../init.d/autofs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc5.d/S22autofs
ln -s ../init.d/autofs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/K22autofs

%clean
rm -rf %{buildroot}


%files -n autofs
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}/etc/init.d/autofs
%config %{_hhl_cross_target_dir}/etc/auto.master
#%config %{_hhl_cross_target_dir}/etc/auto.misc
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/automount
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
%dir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/autofs
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/autofs/*
%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/K22autofs
%{_hhl_cross_target_dir}/etc/rc.d/rc1.d/K22autofs
%{_hhl_cross_target_dir}/etc/rc.d/rc2.d/S22autofs
%{_hhl_cross_target_dir}/etc/rc.d/rc3.d/S22autofs
%{_hhl_cross_target_dir}/etc/rc.d/rc4.d/S22autofs
%{_hhl_cross_target_dir}/etc/rc.d/rc5.d/S22autofs
%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/K22autofs
%doc README LICENSE COPYRIGHT TODO README.changer README.smbfs README.options


%changelog
* Thu Jul 3 2008 Yamaha Corporation
- Minor tweaks for S84X.
* Thu Jan 15 2004 Michael Eager <eager@mvista.com>
- Support multilib (for MIPS64).
* Wed Apr 18 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Feb 23 2001 Mark Hatle <source@mvista.com>
- First cut


