#
# *** WARNING ***
#
# _BEFORE UPDATING THIS PACKAGE, PLEASE SEE THE pwd-grp-README FILE_
#
# If the passwd/group files are not updated properly, future errors
# can be created!
#

Summary: Hard Hat Linux Base System Password/Group Files
Name: base-passwd
Version: 3.5.7
Release: 5.0.1.%{_hhl_build_id}
Source: base-passwd_%{version}.tar.gz
Source1: passwd.master
Source2: group.master
Source3: pwd-grp-README
Patch: base-passwd-srcdir.patch
License: GPL
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
%define _docdir		%{_hhl_cross_target_dir}/%{_hhl_target_doc_dir}
Prefix: %{_hhl_cross_target_dir}

Obsoletes : hhl-target-base-passwd
Obsoletes : hhl-%{_hhl_target_arch}-base-passwd

%description
This package provides for the passwd.master and group.master files.
These files are used by the update-passwd program to sync up new
users and groups into the existing passwd/group files.

update-passwd should be run whenever you upgrade this package.

This package also provides a default /etc/passwd and /etc/group,
as well as owns the files /etc/shadow and /etc/gshadow if they
exist.

%package -n update-passwd
Summary:  Utility to update the password file from the master
Group: admin
Requires: base-passwd

%description -n update-passwd
It also contains the update-passwd utility used to keep
the /etc/passwd, /etc/group and the passwd.master and 
group.master files in sync.

%prep
%target_check
%setup -q -n base-passwd-%{version}
%patch -p1

%build
%target_setup
%target_configure 2>&1 | tee ../build.log
%make

%install
rm -rf %{buildroot}
%target_setup

cp COPYING LICENSE
cp %{SOURCE3} pwd-grp-README

cd %{_objdir}
make DESTDIR=%{buildroot}%{_hhl_cross_target_dir} install

install -d -m 755 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd
install -p -m 0644 %{SOURCE1} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd/passwd.master
install -p -m 0644 %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd/group.master

install -d -m 755 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/passwd
install -p -m 644 %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/group

touch %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/shadow
touch %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/gshadow

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*


%clean
rm -rf %{buildroot}

#post
## We should run the update-passwd here....  obviously we need it to work both host and target!

%files
%defattr(-,root,root)
%attr(0644, root, root) %config(noreplace) %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/passwd
%attr(0644, root, root) %config(noreplace) %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/group
%attr(0600, root, shadow) %config(noreplace,missingok) %ghost %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/shadow
%attr(0600, root, shadow) %config(noreplace,missingok) %ghost %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/gshadow
%dir %{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd
%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd/passwd.master
%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/base-passwd/group.master
%doc pwd-grp-README
%doc LICENSE

%files -n update-passwd
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/update-passwd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/update-passwd.8.gz
%doc COPYING README build.log
%doc LICENSE


%changelog
* Tue Oct 14 2008 Yamaha Corporation
- Set the root login shell to /bin/sh.

* Fri Jun 03 2005 Mark Hatle <fray@mvista.com>
- Update the passwd and group files to match previous releases
- Add pwd-grp-README file

* Wed Dec 08 2004 Mark Hatle <fray@mvista.com>
- Split out update-passwd
- Added ownership of /etc/passwd, /etc/group, /etc/shadow /etc/gshadow

* Wed Jun 16 2004 Melvin Lim <mlim@mvista.com>
- Updated the package to version 3.5.7
- Updated the patch
- Tested to compile for x86_pentium3 and arm_v4t_le targets

* Thu Apr 19 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files

* Mon Jan 22 2001 Mark Hatle <fray@mvista.com>
- Initial check in


