Summary   	: A suite of "tiny" Unix utilities in a multi-call binary.
Name	  	: busybox
Version	  	: 1.6.0
Release	  	: 8.0.0.%{_hhl_build_id}
Source	  	: http://www.busybox.net/downloads/busybox-%{version}.tar.bz2
Source1		: busybox.config
Source2		: udhcpc-default.script 
Source3		: udhcpc-sample.bound
Source4		: udhcpc-sample.deconfig
Patch1		: mvl-busybox-xtensa.patch
Patch2		: busybox-getty.diff
Patch3		: busybox-1.6.0-readlink.diff
Patch4		: busybox-quiet.patch
Patch5		: busybox-1.6.0-test-revert-to-1.5.diff 
Patch6		: busybox-httpd-sendcgi.patch 
Patch7		: busybox-static.diff
Patch8		: busybox-linklist-gcc.diff
		
#upstream	
Patch10		: busybox-1.6.0-echo.patch
Patch11		: busybox-1.6.0-wgetauth.patch
Patch12		: busybox-1.6.1-adduser.patch
Patch13		: busybox-1.6.1-init.patch

#local
Patch20		: busybox-1.6.0-md5_sha1_sum.patch

License 	: GPL 
Group	  	: base
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir  %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
Obsoletes : hhl-target-busybox
Obsoletes : hhl-%{_hhl_target_arch}-busybox

%description

BusyBox is a suite of "tiny" Unix utilities in a multi-call binary. It
provides a pretty complete POSIX environment in a very small package.
Just add a kernel, "ash" (Keith Almquists tiny Bourne shell clone), and
an editor such as "elvis-tiny" or "ae", and you have a working system.
Busybox makes an excellent environment for any small or embedded system.

%package -n busybox-links
Summary		: Busybox package symlinks.
Group 		: base
Requires	: busybox

%description -n busybox-links

BusyBox is a suite of "tiny" Unix utilities in a multi-call binary. It
provides a pretty complete POSIX environment in a very small package.
Just add a kernel, "ash" (Keith Almquists tiny Bourne shell clone), and
an editor such as "elvis-tiny" or "ae", and you have a working system.
Busybox makes an excellent environment for any small or embedded system.

This package contains symlinks for the various busybox applications.

%prep

%target_check

%setup -n busybox-%{version} 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%patch20 -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup
cp %{SOURCE1} .config
make CROSS_COMPILER_PREFIX="%{_hhl_target_toolprefix}" \
     CC="$CC"  STRIP=true STRIPTOOL=true DODEBUG=true oldconfig

make CROSS_COMPILER_PREFIX="%{_hhl_target_toolprefix}" \
     CC="$CC" AR="$AR" STRIP=true STRIPTOOL=true DODEBUG=true V=1



%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
cp busybox_unstripped busybox
make CROSS_COMPILER_PREFIX="%{_hhl_target_toolprefix}" \
     CC="$CC"  STRIP=true STRIPTOOL=true DODEBUG=true \
     CONFIG_PREFIX=%{buildroot}%{_hhl_cross_target_dir} install V=1
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/udhcpc
install -d %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/
install %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/default.script
install %{SOURCE3} %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/sample.bound
install %{SOURCE4} %{buildroot}%{_hhl_cross_target_dir}/usr/share/udhcpc/sample.deconfig
rm -f %{buildroot}%{_hhl_cross_target_dir}/bin/pidof
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/halt
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/init
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/poweroff
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/reboot
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/sulogin
rm -f %{buildroot}%{_hhl_cross_target_dir}/usr/bin/last
rm -f %{buildroot}%{_hhl_cross_target_dir}/usr/bin/mesg
# for mount package
rm -f %{buildroot}%{_hhl_cross_target_dir}/bin/mount
rm -f %{buildroot}%{_hhl_cross_target_dir}/bin/umount
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/losetup
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/swapoff
rm -f %{buildroot}%{_hhl_cross_target_dir}/sbin/swapon
find %{buildroot} -type l |  sed s,%{buildroot},,  > files

%clean
rm -rf %{buildroot}

%files -n busybox-links -f files
%defattr(-,root,root)

%files -n busybox
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/busybox
%{_hhl_cross_target_dir}/etc/udhcpc
%{_hhl_cross_target_dir}/usr/share/udhcpc/
%doc LICENSE 


%changelog
* Mon Aug 18 2008 Yamaha Corporation
- Removed a few links conflicting with mount.
* Fri Aug 08 2008 Yamaha Corporation
- Removed a few links conflicting with sysvinit.
* Wed Aug 06 2008 Yamaha Corporation
- Fixed md5_sha1_sum applet bug.
* Tue Jun 04 2002 Joe Green <source@mvista.com>
- Added support for Xtensa architecture.
* Tue Dec 11 2001 Mark Hatle <source@mvista.com>
- Removed all of the link packages
- The TMPL is now created dynamically.
- The customer is expected to use TCT, or manually create the symbolic 
- links.
* Thu Apr 19 2001 Steve Kinneberg <source@mvista.com>
- Added TCT package description files
* Thu Mar 15 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


