%define name directfb
%define version 1.0.1
%define binary_version 1.0-0
%define oname DirectFB
%define libname lib%name

Summary:	Hardware graphics acceleration library
Name:		%name
Version:	%version
Release:	%{_hhl_build_id}.4
License:	LGPL
Group:		System/Libraries
Prefix:     %{_hhl_cross_target_dir}
Source0:    http://www.directfb.org/download/%{name}/%{oname}-%{version}.tar.gz
#Patch:		directfb.k2x.patch
Patch:		directfb-ngsvfb.patch
URL:		http://www.directfb.org/
BuildRequires:	libpng-dev >= 1.2.0
BuildRequires:	freetype-dev >= 2.0.2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
%oname - A hardware-accelerated graphics library on top of the Linux frame buffer device.

%package -n %libname
Summary:        Shared library part of %oname
Group:		System/Libraries

%description -n %libname
%oname - A hardware-accelerated graphics library on top of the Linux frame buffer device.

%oname is a thin library that provides developers with hardware graphics
acceleration, input device handling and abstraction, an integrated windowing
system with support for translucent windows and multiple display layers on top
of the Linux frame buffer device. It is a complete hardware abstraction layer
with software fallbacks for every graphics operation that is not supported by
the underlying hardware.

%package -n %libname-devel
Group:		Development/C
Summary:	Header files for compiling %oname applications
Requires:	%{libname} = %{version}-%release
Provides:	lib%name-devel = %version-%release
Provides:	%oname-devel = %version-%release

%description -n %libname-devel
%oname header files needed for building applications based on %oname. 

%prep
%target_check
%setup  -q -n %oname-%version
%patch -p1

%build
%target_setup
[ ! -f %{_objdir} ] && mkdir -p %{_objdir} ;
cd %{_objdir} && CFLAGS="-I/opt/montavista/pro/devkit/lsp/yamaha-s84x-mips2_fp_le/linux-2.6.10_mvl401/include" ../configure \
	--disable-x11 \
	--enable-fbdev \
	--disable-maintainer-mode \
	--disable-fast-install \
	--disable-debug \
    --prefix=/usr \
    --host=%{_hhl_target_config} \
    --build=%{_hhl_host_config} \
    --disable-sdl \
    --enable-freetype \
    --disable-jpeg \
    --disable-zlib \
    --enable-png \
    --disable-gif \
    --enable-shared \
    --disable-multi \
    --with-gfxdrivers=none \
    --with-inputdrivers=none \
    --disable-video4linux \
	--disable-video4linux2 \

#	--disable-debug-support
#	--program-transform-name=""  # is this hack needed?
#   --with-gfxdrivers=s1d13506

%make

%install
%target_setup
rm -rf $RPM_BUILD_ROOT
cd objdir && make install DESTDIR=%{buildroot}%{_hhl_cross_target_dir}
install -d %{buildroot}%{_hhl_cross_target_dir}/root/
install -d %{buildroot}%{_hhl_cross_target_dir}/home
install -d %{buildroot}%{_hhl_cross_target_dir}/home/ngs

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(644,root,root,755)
%attr(755,root,root) %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/lib*.so*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/directfb-%{binary_version}/interfaces/IDirectFBFont/*.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/directfb-%{binary_version}/interfaces/IDirectFBImageProvider/*.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/directfb-%{binary_version}/systems/*.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/directfb-%{binary_version}/wm/*.so

%files -n %libname-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*directfb-config
%attr(755,root,root) %{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*directfb-csource
%attr(755,root,root) %{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*dfbg
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/directfb
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/directfb-internal
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/share/man/man1/*directfb-csource.1*
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/share/man/man1/*dfbg.1*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pkgconfig/*
#%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/*.la
%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/directfb-%version
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/share/man/man5/*directfbrc.5*

%changelog
* Fri Dec 12 2008 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- Disable multi. (don't use fusion)

* Wed Oct 29 2008 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Added ngsvfb display update patch.

* Tue Jul 15 2008 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- removed .la files

* Thu Jul 10 2008 Takashi Mizuhiki <mizuhiki@emi.yamaha.co.jp>
- Initial release for S84X.
- Updated to version 1.0.1.

* Tue Jun 5 2007 Masao Ishibashi <ishiba@emi.yamaha.co.jp>
- Initial release for RTG-K2X.

* Thu Aug 10 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- sot@CǉB

* Thu Jul 27 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- o[W0.9.25[X

* Mon Jul 18 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- ărh

* Mon May 06 2006 Kazuhide IWAMOTO <iwamotok@emi.yamaha.co.jp>
- K2Xp[X

* Mon Jan 13 2003 Sven Neumann <neo@directfb.org> 0.9.16
- removed reference to avifile
- added rules for dfbg and its man-page

* Sun Oct 27 2002 Sven Neumann <neo@directfb.org> 0.9.14
- added this file as directfb.spec.in to the DirectFB source tree
- moved directfbrc manpage to the main package

* Fri Aug 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- add directfb-csource and man page
- 0.9.13

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- initial package based on PLD effort
