Summary: Utilities to create and check MS-DOS FAT filesystems
Name: dosfstools
Version: 2.11
Release: 1.0.0.0501961.%{_hhl_build_id}.2
Source: dosfstools_2.11.orig.tar.gz
Patch: dosfstools_2.11-2.diff.gz
License: GPL
Group: admin
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Obsoletes : hhl-target-dosfstools
Obsoletes : hhl-%{_hhl_target_arch}-dosfstools

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

# Primary package

%prep
%target_check
%setup -n dosfstools-2.11
%patch -p1


%build
%target_setup
%make CC=$CC DEBUGFLAGS=-g | tee -a build.log


%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{_hhl_cross_target_dir}
make install PREFIX=%{buildroot}%{_hhl_cross_target_dir} \
	MANDIR=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8 \
	| tee -a build.log

rm -f \
  %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/{fsck*,mkfs*}

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/*

ln -s mkdosfs.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkfs.msdos.8.gz
ln -s mkdosfs.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkfs.vfat.8.gz

ln -s dosfsck.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/fsck.msdos.8.gz
ln -s dosfsck.8.gz \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/fsck.vfat.8.gz

head -n 4 dosfsck/COPYING > LICENSE
cat mkdosfs/COPYING >> LICENSE


%clean
rm -rf %{buildroot}


%files -n dosfstools
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/mkdosfs
%{_hhl_cross_target_dir}/sbin/mkfs.msdos
%{_hhl_cross_target_dir}/sbin/mkfs.vfat
%{_hhl_cross_target_dir}/sbin/dosfsck
%{_hhl_cross_target_dir}/sbin/fsck.msdos
%{_hhl_cross_target_dir}/sbin/fsck.vfat
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkdosfs.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkfs.msdos.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mkfs.vfat.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dosfsck.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/fsck.msdos.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/fsck.vfat.8.gz
%doc build.log LICENSE

%changelog
* Thu Jul 10 2008 Yamaha Corporation
- Fixed serious packaging error that disables _FILE_OFFSET_BITS=64 by
  overridding OPTFLAGS.
