Summary		: Linux Hotplug Scripts
Name		: hotplug
Version		: 0.0.20040329
Release 	: 3.0.0.%{_hhl_build_id}
Group		: utils
License		: GPL
Prefix		: %{_hhl_cross_target_dir}
Url 		: http://linux-hotplug.sourceforge.net/
Source0 	: %{name}_%{version}.orig.tar.gz
Patch		: %{name}_%{version}-22.diff.gz 
Patch1		: hotplug-init.diff
Patch2		: hotplug-rc.diff
Patch10		: hotplug-s84x.diff
BuildRoot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Requires	: %{name}-base >= %{version}

%define _docdir		%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
%package base
Summary		: Base /sbin/hotplug multiplexer script
Group		: utils	
License		: GPL

%description
This package contains the scripts necessary for hotplug Linux support.

%description base
This package contains the base /sbin/hotplug script that allows other programs
to be executed when /sbin/hotplug is called


%prep
%target_check
%setup -n hotplug-0.0.20040329.orig 

tar -xvzf upstream/tarballs/hotplug-2004_03_29.tar.gz
%patch -p1 
%patch1 -p1 
cd hotplug-2004_03_29
for each in ../debian/patches/*; 
do
	patch -p1 < $each
done
%patch2 -p2

%patch10 -p1

%install
%target_setup
cd hotplug-2004_03_29
cp ../debian/copyright ../LICENSE
%make prefix=%{buildroot}%{_hhl_cross_target_dir} install

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/modprobe.d/
install -m 755 etc/hotplug/net.ifup ../extra/*.rc \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug/
install -m 664 ../extra/isapnp.aliases \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/modprobe.d/isapnp
install ../debian/hotplug.init %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/hotplug
rm -rf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/doc/
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug/{ide,input,isapnp,pci}.rc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/*
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug/*
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug.d/*
%dir %{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/run/usb
%dir %{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/log/hotplug
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/*
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/modprobe.d/isapnp
%doc LICENSE

%files base
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/hotplug
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug.d
%doc LICENSE

%post
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add hotplug) &> /dev/null \
	|| echo "Unable to enable initd service: hotplug"

%changelog
* Tue Sep 2 2008 Yamaha Corporation
- Added /etc/hotplug/scsi.rc.
- Busyboxified /etc/hotplug/scsi.agent.

* Fri Aug 8 2008 Yamaha Corporation
- Removed extra rc files.

* Mon Aug 4 2008 Yamaha Corporation
- Added S84X entries to /etc/hotplug/usb.usermap.

* Tue Mar 26 2002 Greg Kroah-Hartman <greg@kroah.com>
- moved the fxload program out of the core hotplug package

* Mon Jun 11 2001 Steve Williams <steve@icarus.com>
- The install process is now in the comon makefile, so that non-
  rpm installs can work. This spec file thus invokes that install.

* Fri Jun 8 2001 Steve Williams <steve@icarus.com>
- added the /var/run/usb directory to spec file

* Tue Apr 24 2001 Greg Kroah-Hartman <greg@kroah.com>
- added the hotplug.8 manpage written by Fumitoshi UKAI <ukai@debian.or.jp>

* Fri Mar 2 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the post and preun sections to fix problem of hotplug
  not starting automatically when the package is upgraded.

* Wed Feb 28 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_28 release

* Wed Feb 14 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_14 release

* Wed Jan 17 2001 Greg Kroah-Hartman <greg@kroah.com>
- changed specfile based on Chmouel Boudjnah's <chmouel@mandrakesoft.com> comments.

* Tue Jan 16 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the file locations due to the change in the tarball structure.
- 2001_01_16 release

* Mon Jan 15 2001 Greg Kroah-Hartman <greg@kroah.com>
- First cut at a spec file for the hotplug scripts.
- added patch to usb.rc to allow chkconfig to install and remove it.

