# This is an auto-generated LSP target spec file.
# Vendor: Yamaha Corporation
# Board: S84X
# Commonly known as: S90 XS / S70 XS

%define FILENAME	yamaha-s84x-mips2_fp_le
%define BOARD_NAME	Yamaha S84X (%{_hhl_target_endian} endian)

%define KERNEL_VERSION	%{_hhl_kernel_base_version}_%{_hhl_kernel_hhl_version}
%define MY_LSPDIR       %{_hhl_lsp_dir}/%{FILENAME}
%define KDIR            linux-%{KERNEL_VERSION}
%define MY_KERNELDIR    %{_hhl_kernel_dir}/%{KDIR}
%define FULL_VERSION    %{version}-%{release}
%define REVISION_NAME	%{KERNEL_VERSION}-s84x-mips2_fp_le

Summary: Linux Support Package for the %{BOARD_NAME}
Name: lsp-%{FILENAME}
Version: %{KERNEL_VERSION}
%if "%{_hhl_lsp_rev}" == "%%%{_hhl_lsp_rev}"
%define _hhl_lsp_rev 99
%endif
Release: %{_hhl_lsp_rev}.1.1.%{_mvl_build_id}.19
License: GPL
Group: LSP
Source0: modules.alias
Source1: modules.ccwmap
Source2: modules.dep
Source3: modules.ieee1394map
Source4: modules.inputmap
Source5: modules.isapnpmap
Source6: modules.pcimap
Source7: modules.symbols
Source8: modules.usbmap
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}


%description
This package contains the build instructions and documentation for the
%{BOARD_NAME}
Linux Support Package as part of MontaVista Linux.

<lsp>
Yamaha&reg; S84X
</lsp>

%package -n lsp_modules-%{FILENAME}
Summary: Linux Support Package for the %{BOARD_NAME}
Group: LSP
AutoReqProv: No
%description -n lsp_modules-%{FILENAME}
This package contains the build instructions and documentation for the
%{BOARD_NAME}
Linux Support Package as part of MontaVista Linux.


%prep
%target_check

rm -rf %{name}
mkdir %{name}
cd %{name}

# Copy the raw kernel tree here.
if [ ! -d %{MY_LSPDIR} ]; then
	echo -n "You must install "
	echo -n cross-%{_hhl_target_arch}-lsp-%{FILENAME}
	echo " version %{version} in order to build this."
	exit 1
fi
tar -C %{MY_LSPDIR} -cf - %{KDIR} | tar xf -

#
#  BUILD
#
%build
%target_setup

cd %{name}/%{KDIR}

make V=1 vmlinux.srec zImage.flash modules


#
#  INSTALL
#
%install
%target_setup

rm -rf %{buildroot}

cd %{name}/%{KDIR}

#  Install kernel binary images
install -d -m 755 %{buildroot}%{_hhl_cross_target_dir}/boot

install -m 644 vmlinux %{buildroot}%{_hhl_cross_target_dir}/boot/vmlinux-%{FILENAME}-%{FULL_VERSION}
ln -sf vmlinux-%{FILENAME}-%{FULL_VERSION} %{buildroot}%{_hhl_cross_target_dir}/boot/vmlinux-%{FILENAME}

install -m 644 System.map %{buildroot}%{_hhl_cross_target_dir}/boot/System.map-%{FILENAME}-%{FULL_VERSION}
ln -sf System.map-%{FILENAME}-%{FULL_VERSION} %{buildroot}%{_hhl_cross_target_dir}/boot/System.map-%{FILENAME}

install -m 644 arch/mips/boot/vmlinux.srec %{buildroot}%{_hhl_cross_target_dir}/boot/vmlinux.srec-%{FILENAME}-%{FULL_VERSION}
ln -sf vmlinux.srec-%{FILENAME}-%{FULL_VERSION} %{buildroot}%{_hhl_cross_target_dir}/boot/vmlinux.srec-%{FILENAME}
install -m 644 arch/mips/boot/compressed/images/zImage.flash.srec %{buildroot}%{_hhl_cross_target_dir}/boot/zImage.flash.srec-%{FILENAME}-%{FULL_VERSION}
ln -sf zImage.flash.srec-%{FILENAME}-%{FULL_VERSION} %{buildroot}%{_hhl_cross_target_dir}/boot/zImage.flash.srec-%{FILENAME}
install -m 644 arch/mips/boot/compressed/images/zImage.bin %{buildroot}%{_hhl_cross_target_dir}/boot/zImage.bin-%{FILENAME}-%{FULL_VERSION}
ln -sf zImage.bin-%{FILENAME}-%{FULL_VERSION} %{buildroot}%{_hhl_cross_target_dir}/boot/zImage.bin-%{FILENAME}

make modules_install INSTALL_MOD_PATH=%{buildroot}%{_hhl_cross_target_dir}

# Delete the symlinks to the build directory
rm -f %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}/build
rm -f %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}/source

# Copy ready-made modules.* files.
install -m 644 %{SOURCE0} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE1} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE3} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE4} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE5} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE6} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE7} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}
install -m 644 %{SOURCE8} %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}


rm -f  %{buildroot}%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}/build

cp COPYING LICENSE

touch rpmFile
rm -f devFile
for node in ide0 ide1 sda sdb mtd input; do
  # Some types we want to limit to just two nodes.
  if [ "$node" == "ttyAM" -o "$node" == "ttyMX" ]; then
	ARGS="-m 2"
  fi
  MAKEDEV -d %{_hhl_cross_target_dir}/dev \
	-c %{_hhl_host_sysconf_dir}/makedev.d -n \
	-M $ARGS $node >> devFile
  MAKEDEV -d %{buildroot}%{_hhl_cross_target_dir}/dev \
	-c %{_hhl_host_sysconf_dir}/makedev.d \
	-M $ARGS $node >/dev/null
done
sort -u devFile > rpmFile

#
#  CLEAN
#
%clean
rm -rf %{buildroot}
rm -rf %{name}

%files -n lsp-%{FILENAME}
%defattr(-,root,root)
%{_hhl_cross_target_dir}/boot/*
%doc %{name}/%{KDIR}/LICENSE

%files -n lsp_modules-%{FILENAME} -f %{name}/%{KDIR}/rpmFile
%defattr(-,root,root)
%{_hhl_cross_target_dir}/lib/modules/%{REVISION_NAME}

#
#  CHANGELOG
#
%changelog
* Wed Jul 8 2009 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.19.
* Fri Jun 26 2009 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.18.
* Wed Jun 24 2009 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.17.
* Wed Feb 25 2009 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.16.
* Mon Jan 26 2009 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.15.
* Wed Jan 21 2009 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.14.
* Tue Dec 2 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.13.
* Fri Nov 28 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.12.
* Wed Nov 20 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.11.
* Tue Oct 28 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.10.
* Wed Oct 8 2008 Yamaha Corporation
- Updated modules.* and changed the naming scheme for their source.
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.9.
* Thu Oct 3 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.8.
* Thu Oct 2 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.7.
* Fri Sep 19 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.6.
* Wed Aug 27 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.5.
* Thu Aug 21 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.4.
* Tue Jul 29 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.3.
* Tue Jun 17 2008 Yamaha Corporation
- Recompiled with cross-mips2_fp_le-lsp-yamaha-s84x-mips2_fp_le
  2.6.10_mvl401-1.1.0.s84x.2.
* Mon May 26 2008 Yamaha Corporation
- Initial release.
* Thu Sep 15 2005 <source@mvista.com>
- Spec file generated from template 8
