%define pkgname		makedev
%define targetroot	%{_hhl_cross_target_dir}
%define _etcdir		%{targetroot}/%{_hhl_target_sysconf_dir}
%define _mandir		%{targetroot}/%{_hhl_target_man_dir}
%define _docdir		%{targetroot}/%{_hhl_target_doc_dir}
%define _dev		%{targetroot}/dev
%define _sbin		%{targetroot}/sbin
%define _usrsbin	%{targetroot}%{_hhl_target_sbin_dir}

Summary		: Creates special device files in /dev.
Name		: makedev
Version		: 3.19.0.1
Release		: 5.0.0.%{_hhl_build_id}
License		: Other
Group		: base 
Source		: MAKEDEV-3.19-1.tar.gz
Patch0		: makedev_3.3.8.2-0.diff.gz
Patch1		: makedev-3.3.8.2-perm.patch
Patch3		: makedev-3.3.8.2-initd.patch
Patch4		: makedev-3.19.0.1-cygwin.patch
Patch5		: makedev-3.19.0.1-mtd.patch
Patch6		: makedev-3.19.0.1-nosound.patch
Patch7		: makedev-3.19.0.1-make-fake-on-exist.diff 
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{targetroot}
Obsoletes 	: hhl-target-makedev
Obsoletes 	: hhl-%{_hhl_target_arch}-makedev

%description

 The MAKEDEV executable is used to populate the /dev directory with device
 files.

%package -n %{pkgname}-devnodes
Summary		: Creates special device files in /dev.
Group		: devel
Requires	: %{pkgname}
Obsoletes 	: hhl-%{_hhl_target_arch}-makedev-devnodes

%description -n %{pkgname}-devnodes

 If you are installing as root, /dev is populated by a post install script.


%prep
%target_check
%setup -q -n MAKEDEV-3.19
%patch0 -p1 
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%target_setup

# ADD SELINUX=1 to enable SELINUX
make


%install
%target_setup

rm -rf %{buildroot}

install -d %{buildroot}

for i in %{_sbin} %{_etcdir}/init.d %{_mandir}/man8 ; do
	install -d %{buildroot}/$i
done

%make DESTDIR=%{buildroot}%{targetroot} devdir=/dev makedevdir=/sbin install

install -m 755 debian/init.d %{buildroot}%{_etcdir}/init.d/makedev

# for FHS compliance
mkdir -p %{buildroot}%{_dev}
gzip -9f %{buildroot}%{_mandir}/man8/MAKEDEV.8
cp debian/copyright LICENSE

rm -f devFile;
for i in "std" "console" "fd" "random" "urandom" "rtc" "ttyS0" "ttyS1" "ttyS2" "ttyS3" "generic"; do
  MAKEDEV -d %{buildroot}%{_dev} -c %{buildroot}%{_etcdir}/makedev.d/ -M $i >> devFile 
done;
sed -e "s|%{buildroot}||" devFile | sort -u > rpmFile

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{_dev}/MAKEDEV
%{_sbin}/MAKEDEV
%{_usrsbin}/mksock
%{_mandir}/man8/MAKEDEV.8.gz
%{_etcdir}/init.d/makedev
%{_etcdir}/makedev.d
%doc LICENSE

%files -n %{pkgname}-devnodes -f rpmFile 
%defattr(-,root,root)
%doc LICENSE

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Wed Feb 28 2001 Matthew McLean <source@mvista.com>
- First cut
