%define sysfsutils 1
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
%define pver	1
%define subver  056
Summary		: A userspace implementation of devfs
Name		: udev
Version		: 0.%{subver} 
Release		: 3.0.4.%{_hhl_build_id}
Source		: ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}_%{version}.orig.tar.gz
Source1		: scsi_id.config
Patch0		: %{name}_%{version}-%{pver}.diff.gz 
Patch1		: %{name}-init.diff
Patch2		: udev-scsi_id.patch
Patch3		: udev_devfs_check.patch
Patch10		: udev-strip-initscript.patch
Patch11		: udev-volume-id-stderr.patch
Patch12		: udev-volume-id-skip-highpoint-45x-raid.patch
License		: GPL
Group		: admin
BuildRoot	: %{_tmppath}/%{name}-%{version}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}

%description

 udev is a implementation of devfs in userspace using sysfs and
 /sbin/hotplug. It requires a 2.6 kernel to run properly.

%prep

%target_check

%setup -q -n %{name}-%{version}.orig
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

tar -xvjf upstream/tarballs/%{name}-%{subver}.tar.bz2
cd %{name}-%{subver}

for each in ../debian/patches/*; do
	patch -p1 < $each
done 

%patch2 -p1

%build
%target_setup
cd %{name}-%{subver}
%make ARCH=none CROSS=%{_hhl_target_toolprefix} STRIP=$STRIP	\
	OPTIMIZATION=$CFLAGS udevdir=/dev USE_KLIBC=false USE_LOG=false \
	DEBUG=false V=true

%if "%sysfsutils" == "1"
pushd extras/scsi_id
make
popd
pushd extras/volume_id/
make LD="$CC"
popd
%endif

%install
%target_setup
rm -rf %{buildroot}

cd %{name}-%{subver}
%make ARCH=none CROSS=%{_hhl_target_toolprefix} STRIP=$STRIP	\
	OPTIMIZATION=$CFLAGS udevdir=/dev USE_KLIBC=false USE_LOG=false \
	DEBUG=false V=true DESTDIR=%{buildroot}/%{_hhl_cross_target_dir} \
	install

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install ../debian/udev.init %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/udev
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc0.d
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc6.d
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rcS.d
ln -s ../init.d/udev %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc0.d/K99udev
ln -s ../init.d/udev %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc6.d/K99udev
ln -s ../init.d/udev %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rcS.d/S04udev

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev/scripts
install -m 755 ../extra/scsi-devfs.sh extras/cdsymlinks.sh extras/dvb.sh \
	       extras/ide-devfs.sh extras/inputdev.sh ../extra/ide-model.sh \
	       ../extra/raid-devfs.sh \
	       %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev/scripts
install -m 644 ../extra/*.rules ../extra/links.conf extras/cdsymlinks.conf \
	       %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev/
sed -e 's/^#\([^ ]\)/\1/' < ../extra/compat.rules > \
                %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev/compat-full.rules
install -m 644 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev/compat.rules \
	   ../extra/devfs.rules \
	   %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev/rules.d/
install -m 644 %{SOURCE1} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/scsi_id.config

%if "%sysfsutils" == "1"
install -m 755 extras/scsi_id/scsi_id extras/volume_id/udev_volume_id %{buildroot}%{_hhl_cross_target_dir}/sbin/
%endif
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug.d/default/10-udev.hotplug
ln -s ../../../sbin/udevsend %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug.d/default/10-udev.hotplug
%post -n udev 
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add udev) &> /dev/null \
	|| echo "Unable to enable initd service: udev"

%clean
rm -rf %{buildroot}

%files -n udev
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/udev
#%{_hhl_cross_target_dir}/sbin/wait_for_sysfs
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/udevinfo
%{_hhl_cross_target_dir}/sbin/udevsend
%{_hhl_cross_target_dir}/sbin/udevd
%if "%sysfsutils" == "1"
%{_hhl_cross_target_dir}/sbin/udev_volume_id
%{_hhl_cross_target_dir}/sbin/scsi_id
%endif
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/udevtest
%{_hhl_cross_target_dir}/sbin/udevstart
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/scsi_id.config
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/dev.d
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/dev.d/net
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/udev/
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hotplug.d/default/10-udev.hotplug
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/udev
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc0.d/K99udev
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc6.d/K99udev
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rcS.d/S04udev
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/udev*.8*
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/dev.d/net/hotplug.dev

%changelog
* Wed Mar 4 2009 Yamaha Corporation
- Now skips probing highpoint 45x raid not to crash on certain media.
* Thu Jan 22 2009 Yamaha Corporation
- Now udev_volume_id uses stderr to display its error messages.
* Thu Dec 11 2008 Yamaha Corporation
- Stripped down the init script.
* Wed Oct 8 2008 Yamaha Corporation
- Enabled the init scripts by default.
* Wed Nov 24 2004 Tom Rini <trini@mvista.com>
- Move to 045, the last before the big DB change.
* Fri Oct 08 2004 Tom Rini <trini@mvista.com>
- Move to 034.
- Cleanup the spec more.
* Thu Jul 29 2004 Tom Rini <trini@mvista.com>
- Convert upstream 030 spec file.
